Package: grails.util

## [Java] Class DomainBuilder.DefaultGrailsChildPropertySetter

- grails.util.DomainBuilder.DefaultGrailsChildPropertySetter

- All Implemented Interfaces and Traits:
    ChildPropertySetter

      public static class DomainBuilder.DefaultGrailsChildPropertySetter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private boolean` | `isCollection(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)`
    `` | `public void` | `setChild(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### private boolean isCollection(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)

    - #### public void setChild(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)